Bug 806438 - inability to mount swap in rescue mode leads to reboot
inability to mount swap in rescue mode leads to reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 14:27 EDT by Karel Volný
Modified: 2013-08-01 01:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:21:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-03-23 14:27:19 EDT
Description of problem:
After booting in rescue mode and mounting the root succesfully under /mnt/sysimage, I get an error about mounting swap and now I have only one option - "Press OK to exit the installer." which leads to reboot. But I do not want to reboot, I want my shell, no matter that swap is not mounted!


Version-Release number of selected component (if applicable):
Fedora 17 Alpha x86_64 DVD

How reproducible:
always

Steps to Reproduce:
1. break your system; especially make swap present but unusable
2. boot from the installation media in rescue mode
3. go through all the boring dialogues until it says that your system was mounted under /mnt/sysimage
4. read the error message about swap, then click OK
  
Actual results:
KABOOOM! - system goes down and restarts

Expected results:
you get the usual menu which allows you to go to shell

Additional info:
the exact error message is

Error enabling swap device
UUID=...
device has not been created

This most likely means this swap device has
not been initialized.

Press OK to exit the installer.
Comment 1 Fedora End Of Life 2013-07-03 21:11:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:21:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.